org.eclipse.emf.compare.match

## Class DefaultEqualityHelperFactory

- java.lang.Object
- - org.eclipse.emf.compare.match.DefaultEqualityHelperFactory

All Implemented Interfaces:
  IEqualityHelperFactory

    public class DefaultEqualityHelperFactory
    extends Object
    implements IEqualityHelperFactory

Default implementation of `IEqualityHelperFactory`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultEqualityHelperFactory()` Default constructor.
`DefaultEqualityHelperFactory(com.google.common.cache.CacheBuilder<Object,Object> cacheBuilder)` Creates a factory with the given CacheBuilder.

### Method Summary

All Methods Instance Methods Concrete Methods
`IEqualityHelper` `createEqualityHelper()` Returns a new `IEqualityHelper`.
`protected com.google.common.cache.CacheBuilder<Object,Object>` `getCacheBuilder()` Returns the cache builder that should be used by this factory to create its equality helpers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEqualityHelperFactory

    public DefaultEqualityHelperFactory()

Default constructor.

#### DefaultEqualityHelperFactory

    public DefaultEqualityHelperFactory(com.google.common.cache.CacheBuilder<Object,Object> cacheBuilder)

Creates a factory with the given CacheBuilder.

Parameters:
  `cacheBuilder` - The cache builder to use to instantiate an `EqualityHelper`.

### Method Detail

#### createEqualityHelper

    public IEqualityHelper createEqualityHelper()

Returns a new `IEqualityHelper`.

Specified by:
  `createEqualityHelper` in interface `IEqualityHelperFactory`
Returns:
  a new `IEqualityHelper`.
See Also:
  `IEqualityHelperFactory.createEqualityHelper()`

#### getCacheBuilder

    protected com.google.common.cache.CacheBuilder<Object,Object> getCacheBuilder()

Returns the cache builder that should be used by this factory to create its equality helpers.

Returns:
  The cache builder that should be used by this factory to create its equality helpers.